Subject: Re: Differences between git show HEAD and git show head

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 17 Sep 2018 15:23:28 +0200

On Mon, Sep 17 2018, Nikola Milekic wrote:

> Hi,
>
> On Windows, when using multiple workspaces and git 2.19.0.windows.1,
> 'git show HEAD' and 'git show head' return different results when
> executed from a secondary workspace (the one without the .git
> directory).
>
> 'git show HEAD' shows the HEAD of the current workspace, while git
> show head shows the HEAD of the main workspace (the one with the .git
> directory). I find this to be highly misleading, especially for users
> like myself who are not used to typing HEAD in all caps. Is this
> indented behavior or a bug?

This is an outstanding bug in git that's tricky to solve (maybe you're
interested!), here's a recent discussion about it:
https://public-inbox.org/git/[email-masked]/